### DXLOutput

Category

DXLink

Function

Sends a value to a remote application.

Syntax

    DXLOutput(label, value);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`label` | string | none | name associated with `value`
`value` | value list or string list | none | value sent to a DXLink application

Functional Details

This module sends variable values from a visual program to a remote application that uses the DXLink library of function calls (see Chapter 17. "DXLink Developer's Toolkit" in IBM Visualization Data Explorer Programmer's Reference). Values are sent as strings and in the same format as that used by the Echo tool.

`label` | is similar in function to the label set in the DXLInput configuration dialog box in that it associates a name (i.e., a global variable name) with a value. This global variable name is used in the `DXLSetValueHandler()` routine of the DXLink library (see "Receiving Messages from the Server" in IBM Visualization Data Explorer Programmer's Reference). The remote application should install a handler for the various `label`ed global variable names in a program (see DXLSetValueHandler in "Receiving Messages from the Server" in IBM Visualization Data Explorer Programmer's Reference). In general, `label` values should be unique within a program. Note: If you are using the Data Explorer user interface, `label` does not appear as an input parameter but is set in the `notation` field of the DXLOutput configuration dialog box.
`value` | is the value that is to be converted to a string and sent to a remote application. This value must be a Data Explorer value list or string (e.g., a scalar, integer list, matrix, etc.). It cannot be a Field or Group object.

See Also DXLInput, Input, Output, DXLInputNamed

[ OpenDX Home at IBM | OpenDX.org ]